> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Board Share

> Update a share's permission (owner/admin only).



## OpenAPI

````yaml /openapi.json patch /api/v1/boards/{board_id}/shares/{share_id}
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/boards/{board_id}/shares/{share_id}:
    patch:
      tags:
        - boards
      summary: Update Board Share
      description: Update a share's permission (owner/admin only).
      operationId: update_board_share_api_v1_boards__board_id__shares__share_id__patch
      parameters:
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
        - in: path
          name: share_id
          required: true
          schema:
            title: Share Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BoardShareUpdate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BoardShareResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    BoardShareUpdate:
      description: Schema for updating a board share permission.
      properties:
        permission:
          pattern: ^(viewer|editor|admin)$
          title: Permission
          type: string
      required:
        - permission
      title: BoardShareUpdate
      type: object
    BoardShareResponse:
      description: Schema for board share response.
      properties:
        board_id:
          title: Board Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        permission:
          title: Permission
          type: string
        realm_id:
          title: Realm Id
          type: string
        shared_by:
          title: Shared By
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - id
        - board_id
        - user_id
        - realm_id
        - permission
        - shared_by
        - created_at
      title: BoardShareResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````